# Uses of Enum Class
org.apache.sysds.runtime.instructions.cp.CPInstruction.CPType

Packages that use CPInstruction.CPType
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.cp

## Uses of CPInstruction.CPType in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type CPInstruction.CPType
Modifier and Type
Method
Description
`static long`
CPCostUtils.`getInstNFLOP(CPInstruction.CPType instructionType, String opcode, VarStats output, VarStats... inputs)`
`static void`
CPCostUtils.`inferStats(CPInstruction.CPType instType, String opcode, VarStats output, VarStats... inputs)`

## Uses of CPInstruction.CPType in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return CPInstruction.CPType
Modifier and Type
Method
Description
`CPInstruction.CPType`
CPInstruction.`getCPInstructionType()`
`static CPInstruction.CPType`
CPInstruction.CPType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CPInstruction.CPType[]`
CPInstruction.CPType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.